Download it now!
Bug 84961 - zh_CN date separator should be "/" rather than "/"
Summary: zh_CN date separator should be "/" rather than "/"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-13 09:36 UTC by Kevin Suo
Modified: 2014-11-06 13:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
proposed patch (27.17 KB, patch)
2014-10-13 09:43 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-10-13 09:36:42 UTC
http://cgit.freedesktop.org/libreoffice/core/tree/i18npool/source/localedata/data/zh_CN.xml

The date separator should better be "/", rather than the full-width "/" (it looks ugly).

For example, "2014/10/13" looks much better than "2014/10/13".
Comment 1 Kevin Suo 2014-10-13 09:43:44 UTC
Created attachment 107768 [details]
proposed patch

This is the proposed patch.
Could someone kindly commit it, thanks.
Comment 2 Julien Nabet 2014-10-13 17:22:39 UTC
As you may have seen, I put your patch to review:
https://gerrit.libreoffice.org/#/c/11958/1
Comment 3 Kevin Suo 2014-10-16 03:57:02 UTC
(In reply to Julien Nabet from comment #2)
> As you may have seen, I put your patch to review:
> https://gerrit.libreoffice.org/#/c/11958/1

Thanks Julien.
The "Review in Progress" is still going on. Anything I can do to "speed up" this process?

Also,could you help to backport this to 4.3 branch?
Comment 4 Kevin Suo 2014-10-16 04:00:21 UTC
I am also considering to change the following:

      <trueWord>真</trueWord>
      <falseWord>假</falseWord>
to
      <trueWord>TRUE</trueWord>
      <falseWord>FALSE</falseWord>

and
      <quarter1Abbreviation>1季</quarter1Abbreviation>
      <quarter2Abbreviation>2季</quarter2Abbreviation>
      <quarter3Abbreviation>3季</quarter3Abbreviation>
      <quarter4Abbreviation>4季</quarter4Abbreviation>
to
      <quarter1Abbreviation>Q1</quarter1Abbreviation>
      <quarter2Abbreviation>Q2</quarter2Abbreviation>
      <quarter3Abbreviation>Q3</quarter3Abbreviation>
      <quarter4Abbreviation>Q4</quarter4Abbreviation>

Should I file a new bug report, or you can help to change it together?
Comment 5 Julien Nabet 2014-10-16 05:49:35 UTC
Kevin: I updated the patch with your last comment.
I can't speed up the review.
About 4.3, I could backport it only if it's ok for master first.

Eike: thought you might be interested in this one, if you have any advice about it...
Comment 6 Eike Rathke 2014-10-16 12:09:47 UTC
I doubt the change to English TRUE/FALSE and quarter words. Why would Chinese speakers want that?
Comment 7 Eike Rathke 2014-10-16 12:48:36 UTC
Pushed http://cgit.freedesktop.org/libreoffice/core/commit/?id=71969c8b6a62253353acba548fc6f62ccf75fd23
with an additional change to one DateAcceptancePattern to make that actually build, but without the change to English keywords. If really wanted we can commit a subsequent change.
Comment 8 Kevin Suo 2014-10-16 14:49:29 UTC
(In reply to Eike Rathke from comment #6)
> I doubt the change to English TRUE/FALSE and quarter words. Why would
> Chinese speakers want that?

TRUE/FALSE are logic value, they should be displayed as "1/0" or "TRUE/FALSE", which is more professional. This is also consistent with many other database applications (including LibreOffice Base) and other office suites. People who uses logic values in spreadsheet all know what TRUE/FALSE means, otherwise they would not use this data type.

The previous short form of quarter strings are totally wrong. 
For example, for date 2014-10-16, the format code "YYYY Q" will be displayed as "2014 1季", which is very bad Chinese wording. 
The only correct *short* form should be "2014 第1季", but this is not *short* at all, and also hard to understand and not professional.
In my opinion, the best option should be Q1/Q2/Q3/Q4. This is more professional, and I am sure most people know what it means. (Those who don't know this will never use this short form, they will use "第1季度" instead).

Thanks for your commit!
Comment 9 Kevin Suo 2014-10-16 14:51:34 UTC
Also, I will try to contact the zh_TW and zh_HK team to see whether they want to change these strings too.